Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.hyperic.hq.product
Class ServerResource

    java.lang.Object
      net.hyperic.hq.product.ServerResource

public class ServerResource
extends java.lang.Object

Constructor Summary
`ServerResource()`

Method Summary
`void` | `addService(ServiceResource service)`
`java.lang.String[]` | `getConnectProperties()`
`ConfigResponse` | `getControlConfig()`
`ConfigResponse` | `getCustomProperties()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getInstallPath()`
`ConfigResponse` | `getMeasurementConfig()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPlatformFqdn()`
`ConfigResponse` | `getProductConfig()`
`java.lang.Object` | `getResource()`
`java.lang.String` | `getType()`
`void` | `setConnectProperties(java.lang.String[] keys)`
`void` | `setControlConfig()`
`void` | `setControlConfig(ConfigResponse config)`
`void` | `setCustomProperties(ConfigResponse config)`
`void` | `setDescription(java.lang.String description)`
`void` | `setIdentifier(java.lang.String name)`
`void` | `setInstallPath(java.lang.String name)`
`void` | `setMeasurementConfig()`
`void` | `setMeasurementConfig(ConfigResponse config)`
`void` | `setName(java.lang.String name)`
`void` | `setPlatformFqdn(java.lang.String name)` This attribute should only be set if discovered server is hosted on a platform other than the platform which ran the auto discovery.
`void` | `setProductConfig()`
`void` | `setProductConfig(ConfigResponse config)`
`void` | `setType(GenericPlugin plugin)`
`void` | `setType(java.lang.String name)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerResource

    public ServerResource()

Method Detail

### getResource

    public java.lang.Object getResource()

### setPlatformFqdn

    public void setPlatformFqdn(java.lang.String name)

  This attribute should only be set if discovered server is hosted on a platform other than the platform which ran the auto discovery. The WebLogic plugin for example may find cluster nodes on other platforms. Note that setting this attribute will also require the given platform to exist in the HQ inventory.

### getPlatformFqdn

    public java.lang.String getPlatformFqdn()

### setConnectProperties

    public void setConnectProperties(java.lang.String[] keys)

### getConnectProperties

    public java.lang.String[] getConnectProperties()

### addService

    public void addService(ServiceResource service)

### setInstallPath

    public void setInstallPath(java.lang.String name)

### getInstallPath

    public java.lang.String getInstallPath()

### setIdentifier

    public void setIdentifier(java.lang.String name)

### setType

    public void setType(GenericPlugin plugin)

### setType

    public void setType(java.lang.String name)

### getType

    public java.lang.String getType()

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### setDescription

    public void setDescription(java.lang.String description)

### getDescription

    public java.lang.String getDescription()

### getProductConfig

    public ConfigResponse getProductConfig()

### setProductConfig

    public void setProductConfig(ConfigResponse config)

### getMeasurementConfig

    public ConfigResponse getMeasurementConfig()

### setMeasurementConfig

    public void setMeasurementConfig(ConfigResponse config)

### getControlConfig

    public ConfigResponse getControlConfig()

### setControlConfig

    public void setControlConfig(ConfigResponse config)

### setProductConfig

    public void setProductConfig()

### setMeasurementConfig

    public void setMeasurementConfig()

### setControlConfig

    public void setControlConfig()

### getCustomProperties

    public ConfigResponse getCustomProperties()

### setCustomProperties

    public void setCustomProperties(ConfigResponse config)

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.